com.thinkaurelius.titan.core

## Interface EdgeLabel

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, Namifiable, RelationType, Removable, TitanElement, TitanSchemaElement, TitanSchemaType, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Implementing Classes:
    BaseLabel, EdgeLabelVertex

      public interface EdgeLabel
      extends RelationType

  EdgeLabel is an extension of `RelationType` for edges. Each edge in Titan has a label.

  An edge label defines the following characteristics of an edge:
  - Directionality: An edge is either directed or unidirected. A directed edge can be thought of as a "normal" edge: it points from one vertex to another and both vertices are aware of the edge's existence. Hence the edge can be traversed in both directions. A unidirected edge is like a hyperlink in that only the out-going vertex is aware of its existence and it can only be traversed in the outgoing direction.
  - Multiplicity: The multiplicity of an edge imposes restrictions on the number of edges for a particular label that are allowed on a vertex. This allows the definition and enforcement of domain constraints.
  Author:
    Matthias Bröcheler (me@matthiasb.com)
  See Also:
    `RelationType`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Multiplicity` | `getMultiplicity()` The `Multiplicity` for this edge label.
    `boolean` | `isDirected()` Checks whether this labels is defined as directed.
    `boolean` | `isUnidirected()` Checks whether this labels is defined as unidirected.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

- - ### Method Detail

    - #### isDirected

          boolean isDirected()

      Checks whether this labels is defined as directed.
      Returns:
        true, if this label is directed, else false.

    - #### isUnidirected

          boolean isUnidirected()

      Checks whether this labels is defined as unidirected.
      Returns:
        true, if this label is unidirected, else false.

    - #### getMultiplicity

          Multiplicity getMultiplicity()

      The `Multiplicity` for this edge label.
      Returns:

Copyright © 2012–2014. All rights reserved.